<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>pam_pkcs11: CK_X9_42_DH2_DERIVE_PARAMS Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">pam_pkcs11
   &#160;<span id="projectnumber">0.6.11</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',false,false,'search.php','Search');
});
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">CK_X9_42_DH2_DERIVE_PARAMS Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="pkcs11t_8h_source.html">pkcs11t.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:acc8cd375637e8d4baa461093eda95473"><td class="memItemLeft" align="right" valign="top"><a class="el" href="pkcs11t_8h.html#a24f6d64f6b795fc778901d99e4126bde">CK_X9_42_DH_KDF_TYPE</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCK__X9__42__DH2__DERIVE__PARAMS.html#acc8cd375637e8d4baa461093eda95473">kdf</a></td></tr>
<tr class="separator:acc8cd375637e8d4baa461093eda95473"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ace81f9dea6ea647a99eb5fffb98621ea"><td class="memItemLeft" align="right" valign="top"><a class="el" href="pkcs11t_8h.html#a35181858a3b7a0a81f49d180d8f446ef">CK_ULONG</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCK__X9__42__DH2__DERIVE__PARAMS.html#ace81f9dea6ea647a99eb5fffb98621ea">ulOtherInfoLen</a></td></tr>
<tr class="separator:ace81f9dea6ea647a99eb5fffb98621ea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0bdadab84c1177e86014fccfbf43e50f"><td class="memItemLeft" align="right" valign="top"><a class="el" href="pkcs11t_8h.html#a3d7233a4077fbaf7ae76b64da0a62a21">CK_BYTE_PTR</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCK__X9__42__DH2__DERIVE__PARAMS.html#a0bdadab84c1177e86014fccfbf43e50f">pOtherInfo</a></td></tr>
<tr class="separator:a0bdadab84c1177e86014fccfbf43e50f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae9ccaf64b51247d789c8e4d78b64b54c"><td class="memItemLeft" align="right" valign="top"><a class="el" href="pkcs11t_8h.html#a35181858a3b7a0a81f49d180d8f446ef">CK_ULONG</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCK__X9__42__DH2__DERIVE__PARAMS.html#ae9ccaf64b51247d789c8e4d78b64b54c">ulPublicDataLen</a></td></tr>
<tr class="separator:ae9ccaf64b51247d789c8e4d78b64b54c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5b5ab88b8cf93cfa701f56237f237292"><td class="memItemLeft" align="right" valign="top"><a class="el" href="pkcs11t_8h.html#a3d7233a4077fbaf7ae76b64da0a62a21">CK_BYTE_PTR</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCK__X9__42__DH2__DERIVE__PARAMS.html#a5b5ab88b8cf93cfa701f56237f237292">pPublicData</a></td></tr>
<tr class="separator:a5b5ab88b8cf93cfa701f56237f237292"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a298011aaedd3c092f893e8bbba354cf9"><td class="memItemLeft" align="right" valign="top"><a class="el" href="pkcs11t_8h.html#a35181858a3b7a0a81f49d180d8f446ef">CK_ULONG</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCK__X9__42__DH2__DERIVE__PARAMS.html#a298011aaedd3c092f893e8bbba354cf9">ulPrivateDataLen</a></td></tr>
<tr class="separator:a298011aaedd3c092f893e8bbba354cf9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2f6769e4ceda4853db07b96b8e5770a0"><td class="memItemLeft" align="right" valign="top"><a class="el" href="pkcs11t_8h.html#ad1cdd703196214cd34e6f9f52bc67683">CK_OBJECT_HANDLE</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCK__X9__42__DH2__DERIVE__PARAMS.html#a2f6769e4ceda4853db07b96b8e5770a0">hPrivateData</a></td></tr>
<tr class="separator:a2f6769e4ceda4853db07b96b8e5770a0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a883bd3806b7c0e47291bc8efce44ccc1"><td class="memItemLeft" align="right" valign="top"><a class="el" href="pkcs11t_8h.html#a35181858a3b7a0a81f49d180d8f446ef">CK_ULONG</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCK__X9__42__DH2__DERIVE__PARAMS.html#a883bd3806b7c0e47291bc8efce44ccc1">ulPublicDataLen2</a></td></tr>
<tr class="separator:a883bd3806b7c0e47291bc8efce44ccc1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a807f984f215aef03dc5ac126804618dd"><td class="memItemLeft" align="right" valign="top"><a class="el" href="pkcs11t_8h.html#a3d7233a4077fbaf7ae76b64da0a62a21">CK_BYTE_PTR</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCK__X9__42__DH2__DERIVE__PARAMS.html#a807f984f215aef03dc5ac126804618dd">pPublicData2</a></td></tr>
<tr class="separator:a807f984f215aef03dc5ac126804618dd"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="pkcs11t_8h_source.html#l01157">1157</a> of file <a class="el" href="pkcs11t_8h_source.html">pkcs11t.h</a>.</p>
</div><h2 class="groupheader">Field Documentation</h2>
<a id="a2f6769e4ceda4853db07b96b8e5770a0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2f6769e4ceda4853db07b96b8e5770a0">&#9670;&nbsp;</a></span>hPrivateData</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="pkcs11t_8h.html#ad1cdd703196214cd34e6f9f52bc67683">CK_OBJECT_HANDLE</a> hPrivateData</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="pkcs11t_8h_source.html#l01164">1164</a> of file <a class="el" href="pkcs11t_8h_source.html">pkcs11t.h</a>.</p>

</div>
</div>
<a id="acc8cd375637e8d4baa461093eda95473"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acc8cd375637e8d4baa461093eda95473">&#9670;&nbsp;</a></span>kdf</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="pkcs11t_8h.html#a24f6d64f6b795fc778901d99e4126bde">CK_X9_42_DH_KDF_TYPE</a> kdf</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="pkcs11t_8h_source.html#l01158">1158</a> of file <a class="el" href="pkcs11t_8h_source.html">pkcs11t.h</a>.</p>

</div>
</div>
<a id="a0bdadab84c1177e86014fccfbf43e50f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0bdadab84c1177e86014fccfbf43e50f">&#9670;&nbsp;</a></span>pOtherInfo</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="pkcs11t_8h.html#a3d7233a4077fbaf7ae76b64da0a62a21">CK_BYTE_PTR</a> pOtherInfo</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="pkcs11t_8h_source.html#l01160">1160</a> of file <a class="el" href="pkcs11t_8h_source.html">pkcs11t.h</a>.</p>

</div>
</div>
<a id="a5b5ab88b8cf93cfa701f56237f237292"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5b5ab88b8cf93cfa701f56237f237292">&#9670;&nbsp;</a></span>pPublicData</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="pkcs11t_8h.html#a3d7233a4077fbaf7ae76b64da0a62a21">CK_BYTE_PTR</a> pPublicData</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="pkcs11t_8h_source.html#l01162">1162</a> of file <a class="el" href="pkcs11t_8h_source.html">pkcs11t.h</a>.</p>

</div>
</div>
<a id="a807f984f215aef03dc5ac126804618dd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a807f984f215aef03dc5ac126804618dd">&#9670;&nbsp;</a></span>pPublicData2</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="pkcs11t_8h.html#a3d7233a4077fbaf7ae76b64da0a62a21">CK_BYTE_PTR</a> pPublicData2</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="pkcs11t_8h_source.html#l01166">1166</a> of file <a class="el" href="pkcs11t_8h_source.html">pkcs11t.h</a>.</p>

</div>
</div>
<a id="ace81f9dea6ea647a99eb5fffb98621ea"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ace81f9dea6ea647a99eb5fffb98621ea">&#9670;&nbsp;</a></span>ulOtherInfoLen</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="pkcs11t_8h.html#a35181858a3b7a0a81f49d180d8f446ef">CK_ULONG</a> ulOtherInfoLen</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="pkcs11t_8h_source.html#l01159">1159</a> of file <a class="el" href="pkcs11t_8h_source.html">pkcs11t.h</a>.</p>

</div>
</div>
<a id="a298011aaedd3c092f893e8bbba354cf9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a298011aaedd3c092f893e8bbba354cf9">&#9670;&nbsp;</a></span>ulPrivateDataLen</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="pkcs11t_8h.html#a35181858a3b7a0a81f49d180d8f446ef">CK_ULONG</a> ulPrivateDataLen</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="pkcs11t_8h_source.html#l01163">1163</a> of file <a class="el" href="pkcs11t_8h_source.html">pkcs11t.h</a>.</p>

</div>
</div>
<a id="ae9ccaf64b51247d789c8e4d78b64b54c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae9ccaf64b51247d789c8e4d78b64b54c">&#9670;&nbsp;</a></span>ulPublicDataLen</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="pkcs11t_8h.html#a35181858a3b7a0a81f49d180d8f446ef">CK_ULONG</a> ulPublicDataLen</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="pkcs11t_8h_source.html#l01161">1161</a> of file <a class="el" href="pkcs11t_8h_source.html">pkcs11t.h</a>.</p>

</div>
</div>
<a id="a883bd3806b7c0e47291bc8efce44ccc1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a883bd3806b7c0e47291bc8efce44ccc1">&#9670;&nbsp;</a></span>ulPublicDataLen2</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="pkcs11t_8h.html#a35181858a3b7a0a81f49d180d8f446ef">CK_ULONG</a> ulPublicDataLen2</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="pkcs11t_8h_source.html#l01165">1165</a> of file <a class="el" href="pkcs11t_8h_source.html">pkcs11t.h</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="pkcs11t_8h_source.html">pkcs11t.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed May 22 2019 12:09:35 for pam_pkcs11 by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
